Subject: bug#18133: Suppressing asynchronous command output

From: Reuben Thomas <[email-masked]>
Date: Sat, 24 Dec 2016 14:45:17 +0000

On 24 December 2016 at 13:54, martin rudalics <[email-masked]> wrote:

>
> Applications have three ways to affect what ‘display-buffer’ does:
>
> (1) Provide the function to use via an argument.  This can be overridden
>     by ‘display-buffer-alist’.
>
> (2) Let-bind ‘display-buffer-alist’ temporarily to a value of its
>     preference.  This is a work-around for the case where the
>     application does not call ‘display-buffer’ directly.
>
> (3) Use ‘display-buffer-overriding-action’.  This overrides
>     ‘display-buffer-alist’ completely.
>

​Thanks for this clear summary (and thanks to Eli for helping out!).​

> Is it really so difficult to provide an extra option which allows to
> have either of these trigger the wanted behavior?

​Could you please make a concrete suggestion? I must admit that I don't
feel competent yet, and I've already tried and failed!
​
-- 
http://rrt.sc3d.org